﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS700C Specifications
DATE:                  2011-04-29 10:52:31
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       98
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds700c_specifications.txt,v $
#    $Date:$
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TDS 700C
#          TDS 724C, TDS 754C, TDS 784C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Because there is no chance to verify the execution time of self test and
# signal path compensation test for every model, the below time setting is
# referenced the other model. It can be changed to precise time in actual
# test (time unit is second) once current setting is not proper.

  1.001  IF           ZCMPI(@ModelNum, "TDS 724C")
  1.002  MATH         @Bandwidth = 500E+6; @NumChan = "2+2"
  1.003  MATH         @SelfTestTime = 200; @SPCTime = 315

  1.004  ELSEIF       ZCMPI(@ModelNum, "TDS 754C")
  1.005  MATH         @Bandwidth = 500E+6; @NumChan = "4"
  1.006  MATH         @SelfTestTime = 200; @SPCTime = 315

  1.007  ELSEIF       ZCMPI(@ModelNum, "TDS 784C")
  1.008  MATH         @Bandwidth = 1E+9; @NumChan = "4"
  1.009  MATH         @SelfTestTime = 200; @SPCTime = 260

  1.010  ELSE
  1.011  DISP         Sub TDS700C Specifications
  1.011  DISP
  1.011  DISP         Unsupported model number: [V @ModelNum]
  1.012  END
  1.013  ENDIF

# TDS 500C/700C program manual said that auxiliary trig in can not be selected
# as main or delay trigger source for TDS 724C. However, the test with one
# TDS 520D proved that program manual description is wrong because TDS 520D
# not only have aux trig input terminal but also can become trigger source
# via remote command. So it is difficult to determine whether this situation
# is also applied to TDS 724C, or TDS 520D is an exception from the manuals
# or information during the procedure development.
#
# In safe, here the variable is set in order aux in trig test is skipped
# during the TDS 724C trigger sensitivity test.
  1.014  IF           ZCMPI(@ModelNum, "TDS 724C")
  1.015  MATH         @AuxTrigIn = 0
  1.016  ELSE
  1.017  MATH         @AuxTrigIn = 1
  1.018  ENDIF

# Set variable of optional bandwidth test to default.
  1.019  MATH         @TestOptBW = 0; @OptChBWTime = 3
# Set variable of optional trigger sensitivity test for channel 2, 3 and 4
# to default.
  1.020  MATH         @TestCh234Sens = 0; @OptChSensTime = 3
# Set variable of check times of trigger status to default.
  1.021  MATH         @TriggeredChkTimes = 1

  1.022  END
